## pymatgen 2024.6.10+dfsg1

=== requirements.txt ===
numpy==1.26.4
sympy==1.12
requests==2.32.0
monty==2024.5.24
ruamel.yaml==0.18.6
scipy==1.11.3
tabulate==0.9.0
matplotlib==3.8.0
palettable==3.3.3
spglib==2.1.0
pandas==2.1.1
networkx==3.3
plotly==5.17.0
uncertainties==3.1.7
Cython==3.0.2
pybtex==0.24.0
tqdm==4.66.4
joblib==1.3.2
