=== debian/changelog ===
pymatgen (2024.6.10+dfsg1-8) unstable; urgency=medium

  * python3-mp-api is out-of-date (needs maggma, which is not yet
    packaged), so drop to Suggests: rather than Recommends.
    Drop python3-mp-api from Build-Depends and debian/tests Depends.
    See Bug#1078531.

 -- Drew Parsons <dparsons@debian.org>  Mon, 12 Aug 2024 01:55:38 +0200

pymatgen (2024.6.10+dfsg1-7) unstable; urgency=medium

  * riscv64: skip test_rotate_sites

 -- Drew Parsons <dparsons@debian.org>  Sun, 11 Aug 2024 07:47:06 +0200

pymatgen (2024.6.10+dfsg1-6) unstable; urgency=medium

  * riscv64: skip test_relax_ase_return_traj

 -- Drew Parsons <dparsons@debian.org>  Sat, 10 Aug 2024 03:03:51 +0200

pymatgen (2024.6.10+dfsg1-5) unstable; urgency=medium

  * riscv64: skip test_relax_ase_opt_kwargs
  * run build tests verbose (-v) on mips64el
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Fri, 09 Aug 2024 01:07:29 +0200

pymatgen (2024.6.10+dfsg1-4) unstable; urgency=medium

  * debian/patches/tests_pass_or_skip.patch: fix spelling of
    pytest.mark.skipif

 -- Drew Parsons <dparsons@debian.org>  Sun, 04 Aug 2024 15:08:10 +0200

pymatgen (2024.6.10+dfsg1-3) unstable; urgency=medium

  * update debian patch tests_pass_or_skip.patch
    - analysis/test_quasi_harmonic_debye_approx.py:
      relax tolerance in test_gruneisen_parameter
    - analysis/test_reaction_calculator.py:
      test_hash requires 64-bits, skip on 32-bit systems
  * apply EXTRA_TEST_FLAGS to build tests:
    add extra -v to riscv64 to identify stalling test

 -- Drew Parsons <dparsons@debian.org>  Sun, 04 Aug 2024 09:51:20 +0200

pymatgen (2024.6.10+dfsg1-2) unstable; urgency=medium

  * Build-Depends: python3-emmet-core, python3-mp-api <!nocheck>

 -- Drew Parsons <dparsons@debian.org>  Sat, 03 Aug 2024 19:55:39 +0200

pymatgen (2024.6.10+dfsg1-1) unstable; urgency=medium

  * New upstream release
    - supports Python 3.12. Closes: #1069219.
    - Build-Depends: cython3
    - applies debian patch
      CVE-2024-23346_JonesFaithfulTransformation_sympy-c231cbd.patch
    - update versioned Build-Depends
      python3-matplotlib (>= 3.8~),
      python3-monty (>= 2024.5.24~),
      python3-pandas (>= 2~),
      python3-pybtex (>= 0.24.0~),
      python3-requests (>= 2.32~),
      python3-scipy (>= 1.13.0~),
      python3-tabulate (>= 0.9~),
      python3-tqdm (>= 4.60~),
      python3-joblib (>= 1~),
      python3-ase (>= 3.23.0~),
      python3-h5py (>= 3.11.0~),
      python3-netcdf4 (>= 1.6.5~),
      python3-phonopy (>= 2.23~),
      python3-openbabel (>= 3.1.1~)
  * Build-Depends: pymatgen-test-files (>= 2024.6.10~)
  * debian/copyright: drop cmd_line from Files-Excluded
  * update debian patches
    - skip_nonfree_testfile.patch: use pytest skip mark not unittest
    - remove deprecated unittest skips from tests_pass_or_skip.patch
    - new test_files_writing.patch runs io qchem write tests
      in a tmpdir if the testdir is not writable. Use a class level
      fixture with tmp_path_factory, since pytest fixtures cannot be
      used as test arguments in unittest.TestCase subclasses.
  * debian/rules: execute dh_numpy3 after dh_python3

 -- Drew Parsons <dparsons@debian.org>  Sat, 03 Aug 2024 15:04:14 +0200
