=== debian/tests/control ===
Tests: test-pymatgen
Depends: @, @builddeps@,
 python3-emmet-core,
 packmol [!armel !riscv64]

Tests: test-pymatgen-net
Depends: @, @builddeps@,
 python3-emmet-core
Restrictions: needs-internet
