=== debian/changelog ===
pymatgen (2024.10.29+dfsg1-4) unstable; urgency=medium

  * replace debian patch neighbor_set_int64.patch with
    32bit_indexing_PR4194.patch. Applies upstream PR#4194 to fix
    indexing on 32-bit systems.
  * run tests over all supported python versions

 -- Drew Parsons <dparsons@debian.org>  Sun, 24 Nov 2024 14:16:07 +0100

pymatgen (2024.10.29+dfsg1-3) unstable; urgency=medium

  * revert and reset debian patch neighbor_set_int64.patch to use intp
    instead of int64 when creating separation indices
  * skip test_relax_ase_return_traj on mips64el
  * skip test_read_fe (abinit/test_netcdf.py) on s390x and ppc64.
    Is it a bigendian netCDF issue? Assume hppa, powerpc also affected.

 -- Drew Parsons <dparsons@debian.org>  Sun, 10 Nov 2024 10:12:06 +0100

pymatgen (2024.10.29+dfsg1-2) unstable; urgency=medium

  * add debian patches
    - test_tolerance.patch fixes tolerances to enable tests
      to pass. cf. upstream issue#4158
    - neighbor_set_int64.patch uses separation_indices as dtype intp,
      needed on 32-bit arches since the dtype of neighbour set indices
      is explicitly set to int64 at coordination_geometry_finder.py l.1738
  * add test_relax_ase_opt_kwargs to mips64el skip list
  * handle spaces in complex test skips for riscv64 by placing them
    last. Otherwise would need quotes "${SKIP_TEST_LIST[@]}" in every
    entry when building the list.

 -- Drew Parsons <dparsons@debian.org>  Sat, 09 Nov 2024 19:39:01 +0100

pymatgen (2024.10.29+dfsg1-1) unstable; urgency=medium

  * New upstream release
    - Build-Depends: pymatgen-test-files (>= 2024.10.29~)
    - update versioned Build-Depends: python3-monty (>= 2024.7.29~),
      python3-networkx (>= 3~), python3-palettable (>= 3.3.3~),
      python3-spglib (>= 2.5.0~). Closes: #1081680, #1082571.
  * update package Recommends: python3-ase (>= 3.23.0~)
    to match Build-Depends.
  * refresh debian patches: source moved to src subdir
  * update debian patch test_lammps_regex_path.patch to use raw string
    r"\+" to treat '+' in "+dfsg" as a literal plus. Closes: #1085812.
  * Build-Depends: allow python3-paraview as an alternative to python3-vtk9.
    python3-pymatgen Recommends: python3-vtk9 | python3-paraview
  * Drop explicit Depends: python3-spglib from python3-pymatgen.
    Dependency is automated by dh_python3.

 -- Drew Parsons <dparsons@debian.org>  Fri, 08 Nov 2024 10:46:09 +0100
