=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 13),
- pymatgen-test-files (>= 2024.6.10~) <!nocheck>,
+ pymatgen-test-files (>= 2024.10.29~) <!nocheck>,
  dh-python,
  dh-sequence-python3,
  cython3,
@@ -14,17 +14,17 @@
  python3-pytest,
  python3-frozendict,
  python3-matplotlib (>= 3.8~),
- python3-monty (>= 2024.5.24~),
- python3-networkx (>= 2.2~),
+ python3-monty (>= 2024.7.29~),
+ python3-networkx (>= 3~),
  python3-numpy (>= 1.25.0~),
- python3-palettable (>= 3.1.1~),
+ python3-palettable (>= 3.3.3~),
  python3-pandas (>= 2~),
  python3-plotly (>= 4.5.0~),
  python3-pybtex (>= 0.24.0~),
  python3-requests (>= 2.32~),
  python3-ruamel.yaml (>= 0.17.0~),
  python3-scipy (>= 1.13.0~),
- python3-spglib (>= 2.0.2~),
+ python3-spglib (>= 2.5.0~),
  python3-sympy (>= 1.6.2~),
  python3-tabulate (>= 0.9~),
  python3-tqdm (>= 4.60~),
@@ -32,7 +32,7 @@
  python3-joblib (>= 1~),
  python3-ase (>= 3.23.0~),
  python3-bs4 (>= 4.9.1~),
- python3-vtk9,
+ python3-vtk9 | python3-paraview,
  python3-h5py (>= 3.11.0~),
  python3-netcdf4 (>= 1.6.5~),
  python3-phonopy (>= 2.23~),
@@ -53,9 +53,12 @@
 
 Package: python3-pymatgen
 Architecture: any
-Depends: python3-spglib (>= 2.0.2~),
- ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
-Recommends: python3-openbabel, python3-ase (>= 3.22.1~)
+Depends: ${python3:Depends},
+ ${misc:Depends},
+ ${shlibs:Depends}
+Recommends: python3-openbabel,
+  python3-ase (>= 3.23.0~),
+  python3-vtk9 | python3-paraview
 Suggests: python-pymatgen-doc, python3-mp-api (>= 0.27.3~)
 Description: Python Materials Genomics for materials analysis
  Pymatgen (Python Materials Genomics) is a robust, open-source Python
