=== debian/rules ===
--- 
+++ 
@@ -48,7 +48,7 @@
 endif
 
 ifneq (,$(findstring $(DEB_HOST_ARCH), mips64el))
-    SKIP_TEST_LIST += test_pca test_standard test_from_diff_fit
+    SKIP_TEST_LIST += test_pca test_standard test_from_diff_fit test_relax_ase_opt_kwargs test_relax_ase_return_traj
     EXTRA_TEST_FLAGS += -v
 endif
 
@@ -68,6 +68,7 @@
     SKIP_TEST_LIST += test_spillage_from_vasprun test_process_parsed_hess test_from_file
     SKIP_TEST_LIST += test_optics test_generate_g_points test_generate_nbmax test_evaluate_wavefunc test_fft_mesh_advanced test_fft_mesh_basic
     SKIP_TEST_LIST += test_get_parchg test_n2_45210 test_n2_spin test_standard test_write_unks test_consistency
+    SKIP_TEST_LIST += test_read_fe
     SKIP_TEST_LIST += "(TestAnharmonicQuasiharmociDebyeApprox and test_gruneisen_parameter)"
 endif
 
@@ -104,11 +105,6 @@
 endif
 
 override_dh_auto_test:
-	py=`py3versions --default -v`; \
-	pybuilddir=`pybuild --pyver $$py --print build_dir | awk '{print $$3}'`; \
-	testdir=$(CURDIR)/.pybuild/test_python$$py; \
-	cp -a $$pybuilddir $$testdir; \
-	cp -a tests $$testdir; \
 	SKIP_TESTS=""; \
 	list_initialised=0; \
 	for t in $(SKIP_TEST_LIST); do \
@@ -123,9 +119,15 @@
 	    SKIP_TESTS="not ( $${SKIP_TESTS} )"; \
 	fi; \
 	echo "skipping tests: $${SKIP_TESTS}"; \
-	PMG_TEST_FILES_DIR=/usr/share/doc/pymatgen-test-files/examples/files \
-	  PYTHONPATH=$$testdir PATH=$$pybuilddir/../scripts:$$PATH \
-	  pytest-3 -v $(EXTRA_TEST_FLAGS) --import-mode=prepend --color=no -k "$${SKIP_TESTS}" $$testdir; \
+	for py in `py3versions -sv`; do \
+	  pybuilddir=`pybuild --pyver $$py --print build_dir | awk '{print $$3}'`; \
+	  testdir=$(CURDIR)/.pybuild/test_python$$py; \
+	  cp -a $$pybuilddir $$testdir; \
+	  cp -a tests $$testdir; \
+	  PMG_TEST_FILES_DIR=/usr/share/doc/pymatgen-test-files/examples/files \
+	    PYTHONPATH=$$testdir PATH=$$pybuilddir/../scripts:$$PATH \
+	    python$$py -m pytest -v $(EXTRA_TEST_FLAGS) --import-mode=prepend --color=no -k "$${SKIP_TESTS}" $$testdir; \
+	done
 
 execute_after_dh_python3:
 	dh_numpy3
