## pymatgen 2025.2.18%2Bdfsg1

=== debian/tests/control ===
Tests: test-pymatgen
Depends: @, @builddeps@,
 packmol [!armel !riscv64],
 python3-all

Tests: test-pymatgen-net
Depends: @, @builddeps@, python3-all
Restrictions: needs-internet
