=== debian/changelog ===
pymatgen (2025.2.18+dfsg1-5) unstable; urgency=medium

  * Team upload.
  * Fix build with new uncertainties. Closes: #1106436.
  * Do not try to access Internet during build. Closes: #1107280.
  * Skip performance tests, as they fail in Salsa CI.
  * Change BD from python3-numpy to python3-numpy-dev (lintian error).

 -- Santiago Vila <sanvila@debian.org>  Sun, 08 Jun 2025 10:45:00 +0200

pymatgen (2025.2.18+dfsg1-4) unstable; urgency=medium

  * debian/tests: use quotes with SKIP_TEST_LIST to enable multiword
    entries (needed for riscv64)

 -- Drew Parsons <dparsons@debian.org>  Thu, 27 Feb 2025 11:52:14 +0100

pymatgen (2025.2.18+dfsg1-3) unstable; urgency=medium

  * fix setting EXTRA_TEST_FLAGS for debian/tests

 -- Drew Parsons <dparsons@debian.org>  Tue, 25 Feb 2025 22:38:14 +0100

pymatgen (2025.2.18+dfsg1-2) unstable; urgency=medium

  * skip slowest tests on riscv64 to help avoid timeout:
    test_xrd test_volume_predictor test_structure test_tensors
    test_boltztrap test_optics test_outputs test_dos.
    Add verbose flag.
  * sparc64: skip failing tests
  * debian/tests: report 30 slowest tests

 -- Drew Parsons <dparsons@debian.org>  Tue, 25 Feb 2025 11:42:24 +0100

pymatgen (2025.2.18+dfsg1-1) unstable; urgency=medium

  * New upstream release
    - applies debian patches 32bit_indexing_PR4194.patch,
      fix_abinit_header_PR4223.patch, test_deprecated_scipy.patch
    - update versioned Build-Depends: python3-monty (>= 2025.1.9~),
      python3-plotly (>= 5.0.0~), python3-phonopy (>= 2.33.3~),
      pymatgen-test-files (>= 2025.2.18~)
  * update tests_pass_or_skip.patch to drop moyopy symmetry test in
    test_structure.py (moyopy is not yet packaged for debian)

 -- Drew Parsons <dparsons@debian.org>  Fri, 21 Feb 2025 01:34:10 +0100

pymatgen (2024.10.29+dfsg1-5) unstable; urgency=medium

  * drop Build-Depends: python3-emmet-core
    (circular dependency removed upstream)
  * update debian patches
    - test_deprecated_scipy.patch works around use of
      deprecated scipy functions
    - fix_abinit_header_PR4223.patch applies upstream PR#4223
      to fix handling of headers in abinit io
    - test_tolerance.patch relax tolerance in test_eos
    - tests_pass_or_skip.patch: skip test_param_dict in io/exciting
      due to inconsistent test data
  * debian/tests Depends: python3-all to support `py3versions -s`

 -- Drew Parsons <dparsons@debian.org>  Thu, 13 Feb 2025 17:13:27 +0100
