=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 13),
- pymatgen-test-files (>= 2024.10.29~) <!nocheck>,
+ pymatgen-test-files (>= 2025.2.18~) <!nocheck>,
  dh-python,
  dh-sequence-python3,
  cython3,
@@ -14,12 +14,12 @@
  python3-pytest,
  python3-frozendict,
  python3-matplotlib (>= 3.8~),
- python3-monty (>= 2024.7.29~),
+ python3-monty (>= 2025.1.9~),
  python3-networkx (>= 3~),
- python3-numpy (>= 1.25.0~),
+ python3-numpy-dev (>= 1.25.0~),
  python3-palettable (>= 3.3.3~),
  python3-pandas (>= 2~),
- python3-plotly (>= 4.5.0~),
+ python3-plotly (>= 5.0.0~),
  python3-pybtex (>= 0.24.0~),
  python3-requests (>= 2.32~),
  python3-ruamel.yaml (>= 0.17.0~),
@@ -35,10 +35,9 @@
  python3-vtk9 | python3-paraview,
  python3-h5py (>= 3.11.0~),
  python3-netcdf4 (>= 1.6.5~),
- python3-phonopy (>= 2.23~),
+ python3-phonopy (>= 2.33.3~),
  python3-openbabel (>= 3.1.1~),
- packmol [!armel !riscv64] <!nocheck>,
- python3-emmet-core <!nocheck>
+ packmol [!armel !riscv64] <!nocheck>
 Build-Depends-Indep:
  dh-sequence-sphinxdoc <!nodoc>,
  sphinx | python3-sphinx | sphinx-common | dh-sequence-sphinxdoc <!nodoc>,
