=== debian/rules ===
--- 
+++ 
@@ -88,6 +88,13 @@
     SKIP_TEST_LIST += test_get_parchg
 endif
 
+ifneq (,$(findstring $(DEB_HOST_ARCH), sparc64))
+    SKIP_TEST_LIST += test_spillage_from_vasprun test_read_fe test_process_parsed_hess \
+	test_chdir_behavior test_no_return_and_box test_from_file test_optics test_evaluate_wavefunc \
+	test_fft_mesh_advanced test_fft_mesh_basic test_generate_g_points test_generate_nbmax \
+	test_get_parchg test_n2_45210 test_n2_spin test_standard test_write_unks test_consistency
+endif
+
 
 %:
 	dh $@ --buildsystem=pybuild
