## pymatgen 2025.10.7%2Bdfsg1

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 13),
- pymatgen-test-files (>= 2025.2.18~) <!nocheck>,
+ pymatgen-test-files (>= 2025.10.7~) <!nocheck>,
  dh-python,
  dh-sequence-python3,
  cython3,
@@ -12,15 +12,16 @@
  python3-setuptools,
  python3-all-dev,
  python3-pytest,
+ python3-bibtexparser,
  python3-frozendict,
  python3-matplotlib (>= 3.8~),
  python3-monty (>= 2025.1.9~),
  python3-networkx (>= 3~),
  python3-numpy-dev (>= 1.25.0~),
+ python3-orjson,
  python3-palettable (>= 3.3.3~),
  python3-pandas (>= 2~),
  python3-plotly (>= 5.0.0~),
- python3-pybtex (>= 0.24.0~),
  python3-requests (>= 2.32~),
  python3-ruamel.yaml (>= 0.17.0~),
  python3-scipy (>= 1.13.0~),
@@ -32,7 +33,6 @@
  python3-joblib (>= 1~),
  python3-ase (>= 3.23.0~),
  python3-bs4 (>= 4.9.1~),
- python3-vtk9 | python3-paraview,
  python3-h5py (>= 3.11.0~),
  python3-netcdf4 (>= 1.6.5~),
  python3-phonopy (>= 2.33.3~),
@@ -44,7 +44,7 @@
  libjs-jquery <!nodoc>,
  libjs-mathjax <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://pymatgen.org/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debichem-team/pymatgen
