## pymatgen 2025.10.7+dfsg1

=== requirements.txt ===
# This file was autogenerated by uv via the following command:
#    uv pip compile pyproject.toml -o requirements.txt
bibtexparser==1.4.3
    # via pymatgen (pyproject.toml)
certifi==2024.8.30
    # via requests
charset-normalizer==3.4.0
    # via requests
contourpy==1.3.1
    # via matplotlib
cycler==0.12.1
    # via matplotlib
fonttools==4.55.0
    # via matplotlib
idna==3.10
    # via requests
joblib==1.4.2
    # via pymatgen (pyproject.toml)
kiwisolver==1.4.7
    # via matplotlib
matplotlib==3.9.2
    # via pymatgen (pyproject.toml)
monty==2025.1.9
    # via pymatgen (pyproject.toml)
mpmath==1.3.0
    # via sympy
networkx==3.4.2
    # via pymatgen (pyproject.toml)
numpy==2.0.0
    # via
    #   pymatgen (pyproject.toml)
    #   contourpy
    #   matplotlib
    #   monty
    #   pandas
    #   scipy
    #   spglib
orjson==3.10.18
    # via pymatgen (pyproject.toml)
packaging==24.2
    # via
    #   matplotlib
    #   plotly
palettable==3.3.3
    # via pymatgen (pyproject.toml)
pandas==2.2.3
    # via pymatgen (pyproject.toml)
pillow==11.0.0
    # via matplotlib
plotly==5.24.1
    # via pymatgen (pyproject.toml)
pyparsing==3.2.0
    # via
    #   bibtexparser
    #   matplotlib
python-dateutil==2.9.0.post0
    # via
    #   matplotlib
    #   pandas
pytz==2024.2
    # via pandas
requests==2.32.4
    # via pymatgen (pyproject.toml)
ruamel-yaml==0.18.10
    # via
    #   pymatgen (pyproject.toml)
    #   monty
ruamel-yaml-clib==0.2.12
    # via ruamel-yaml
scipy==1.14.1
    # via pymatgen (pyproject.toml)
six==1.16.0
    # via python-dateutil
spglib==2.5.0
    # via pymatgen (pyproject.toml)
sympy==1.13.1
    # via pymatgen (pyproject.toml)
tabulate==0.9.0
    # via pymatgen (pyproject.toml)
tenacity==9.0.0
    # via plotly
tqdm==4.67.1
    # via pymatgen (pyproject.toml)
tzdata==2024.2
    # via pandas
uncertainties==3.2.2
    # via pymatgen (pyproject.toml)
urllib3==2.5.0
    # via requests
