=== debian/changelog ===
pymatgen (2025.10.7+dfsg1-1) unstable; urgency=medium

  * New upstream release
    - works with NumPy 2.3. Closes: #1114711
    - applies debian patches CVE-2022-42964_ReDOS_vulnerability.patch
      and fix-build-with-new-uncertainties.patch
    - Build-Depends: python3-bibtexparser instead of python3-pybtex
    - Build-Depends: pymatgen-test-files (>= 2025.10.7~)
    - Build-Depends: python3-orjson
  * drop Build-Depends: python3-vtk9 | python3-paraview
    (crashes with vtk9 9.3.0). Keep Recommends for run-time.
  * debian patch test_no_moyopy.patch skips tests using moyopy
    (in analysis/test_prototypes.py), which is not (yet) packaged
  * drop debian/tests/test-pymatgen-net, since network tests
    (ext/test_cod.py) have been disabled upstream
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Mon, 13 Oct 2025 01:29:18 +0200
