=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 # requires write permissions
 SKIP_TEST_LIST += test_cdft_dc_parsing
 # requires internet
-SKIP_TEST_LIST += test_get_structure_by_id
+SKIP_TEST_LIST += test_cod
 # fragmenter openbabel test fails, see https://github.com/materialsproject/pymatgen/issues/3078
 SKIP_TEST_LIST += test_babel_PC_with_RO_depth_0_vs_depth_10
 # MoleculeMatcherTest.test_fit in test_molecule_matcher.py fails for some reason
