=== debian/tests/control ===
Tests: test-pymatgen
Depends: @, @builddeps@,
 packmol [!armel !riscv64],
 python3-all
